package es.verdnatura.presentation.view.feature.inventario.fragment

import ir.mirrajabi.searchdialog.core.Searchable

class SearchBuyerModel(private var nickname: String?, private var buyerId: String?) : Searchable {



    override fun getTitle(): String {

        return nickname!!
    }

    fun getBuyerId(): String {
        return buyerId!!
    }

    fun getBuyerNickname(): String {
        return nickname!!
    }

}

class SearchDepartmentModel(private var name: String?, private var departmentId: String?) : Searchable {



    override fun getTitle(): String {

        return name!!
    }

    fun getDepartmentId(): String {
        return departmentId!!
    }

    fun getDepartmentName(): String {
        return name!!
    }

}